hpp-constraints: hpp::constraints::ActiveSetDifferentiableFunction Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
hpp::constraints::ActiveSetDifferentiableFunction Class Reference

`#include <hpp/constraints/active-set-differentiable-function.hh>`

Inheritance diagram for hpp::constraints::ActiveSetDifferentiableFunction:
[legend]
Collaboration diagram for hpp::constraints::ActiveSetDifferentiableFunction:
[legend]

## Public Member Functions
| ActiveSetDifferentiableFunction (const DifferentiableFunctionPtr_t &f, segments_t intervals)
const DifferentiableFunction & | function () const
| Get the original function.
const DifferentiableFunctionPtr_t & | functionPtr () const
| Get the original function.
Public Member Functions inherited from hpp::constraints::DifferentiableFunction
virtual | ~DifferentiableFunction ()
LiegroupElement | operator() (vectorIn_t argument) const
void | value (LiegroupElementRef result, vectorIn_t argument) const
void | jacobian (matrixOut_t jacobian, vectorIn_t argument) const
const ArrayXb & | activeParameters () const
const ArrayXb & | activeDerivativeParameters () const
size_type | inputSize () const
| Get dimension of input vector.
size_type | inputDerivativeSize () const
LiegroupSpacePtr_t | outputSpace () const
| Get output space.
size_type | outputSize () const
| Get dimension of output vector.
size_type | outputDerivativeSize () const
| Get dimension of output derivative vector.
const std::string & | name () const
| Get function name.
virtual std::ostream & | print (std::ostream &o) const
| Display object in a stream.
std::string | context () const
void | context (const std::string &c)
void | finiteDifferenceForward (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
void | finiteDifferenceCentral (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
bool | operator== (DifferentiableFunction const &other) const
bool | operator!= (DifferentiableFunction const &b) const
virtual std::pair< JointConstPtr_t, JointConstPtr_t > | dependsOnRelPoseBetween (DeviceConstPtr_t) const

## Protected Types
typedef std::vector< segments_t > | intervalss_t

## Protected Member Functions
virtual void | impl_compute (LiegroupElementRef result, vectorIn_t argument) const
| User implementation of function evaluation.
virtual void | impl_jacobian (matrixOut_t jacobian, vectorIn_t arg) const
bool | isEqual (const DifferentiableFunction &other) const
Protected Member Functions inherited from hpp::constraints::DifferentiableFunction
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name=std::string())
| Concrete class constructor should call this constructor.
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, const LiegroupSpacePtr_t &outputSpace, std::string name=std::string())
| Concrete class constructor should call this constructor.
| DifferentiableFunction ()

## Protected Attributes
DifferentiableFunctionPtr_t | function_
segments_t | intervals_
Protected Attributes inherited from hpp::constraints::DifferentiableFunction
size_type | inputSize_
| Dimension of input vector.
size_type | inputDerivativeSize_
| Dimension of input derivative.
LiegroupSpacePtr_t | outputSpace_
| Dimension of output vector.
ArrayXb | activeParameters_
ArrayXb | activeDerivativeParameters_

## Additional Inherited Members
Static Public Member Functions inherited from hpp::constraints::DifferentiableFunction
static DifferentiableFunctionPtr_t | extract (DifferentiableFunctionPtr_t original, interval_t interval)

## Detailed Description

Handle bounds on input variables of a differentiable function.

This class is a decorator of class DifferentiableFunction that sets to 0 some columns of the Jacobian of the function.

The class is used to handle saturation of input variables of the function during numerical resolution of implicit constraints built with the function.

## Member Typedef Documentation

## ◆ intervalss_t

typedef std::vector<segments_t> hpp::constraints::ActiveSetDifferentiableFunction::intervalss_t
| protected

## Constructor & Destructor Documentation

## ◆ ActiveSetDifferentiableFunction()

hpp::constraints::ActiveSetDifferentiableFunction::ActiveSetDifferentiableFunction | ( | const DifferentiableFunctionPtr_t & | f,
|  | segments_t | intervals )
| inline

Constructor

Parameters

  f | initial differentiable function,
  intervals | set of intervals of indices corresponding to saturated input variables.

## Member Function Documentation

## ◆ function()

const DifferentiableFunction & hpp::constraints::ActiveSetDifferentiableFunction::function | ( |  | ) | const
| inline

Get the original function.

## ◆ functionPtr()

const DifferentiableFunctionPtr_t & hpp::constraints::ActiveSetDifferentiableFunction::functionPtr | ( |  | ) | const
| inline

Get the original function.

## ◆ impl_compute()

virtual void hpp::constraints::ActiveSetDifferentiableFunction::impl_compute | ( | LiegroupElementRef | result,
|  | vectorIn_t | argument ) const
| inline protected virtual

User implementation of function evaluation.

Implements hpp::constraints::DifferentiableFunction.

## ◆ impl_jacobian()

virtual void hpp::constraints::ActiveSetDifferentiableFunction::impl_jacobian | ( | matrixOut_t | jacobian,
|  | vectorIn_t | arg ) const
| inline protected virtual

Implements hpp::constraints::DifferentiableFunction.

## ◆ isEqual()

bool hpp::constraints::ActiveSetDifferentiableFunction::isEqual | ( | const DifferentiableFunction & | other | ) | const
| inline protected virtual

Reimplemented from hpp::constraints::DifferentiableFunction.

## Member Data Documentation

## ◆ function_

DifferentiableFunctionPtr_t hpp::constraints::ActiveSetDifferentiableFunction::function_
| protected

## ◆ intervals_

segments_t hpp::constraints::ActiveSetDifferentiableFunction::intervals_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/active-set-differentiable-function.hh